%define module_name hachoir-wx

Summary:    	A user interface in WxPython for the hachoir framework
Name: 		python-%{module_name}
Version: 	0.3
Release: 	%mkrel 3
Source0: 	http://cheeseshop.python.org/packages/source/h/%{module_name}/%{module_name}-%{version}.tar.gz
# version.py specifies GPLv2
License:	GPLv2
Group: 		Development/Python
URL: 		http://hachoir.org/wiki/hachoir-parser
BuildArch:	noarch
Requires:	python-hachoir-core
Requires:	python-hachoir-parser
Requires:	wxPythonGTK
BuildRequires:	python-setuptools

%description
hachoir-parser is a package of most common file format parsers written 
using hachoir-core. Not all parsers are complete, some are very good and 
other are poor: only parse first level of the tree for example.

A perfect parser have no "raw" field: with a perfect parser you are able 
to know *each* bit meaning. Some good (but not perfect ;-)) parsers:

    * Matroska video
    * Microsoft RIFF (AVI video, WAV audio, CDA file)
    * PNG picture
    * TAR and ZIP archive 

%prep
%setup -q -n %{module_name}-%{version}

%build
python setup.py build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{py_puresitedir}/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.3-3.mga3
+ Revision: 378975
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 15 2011 mikala <mikala> 0.3-2.mga2
+ Revision: 143935
- Remove %%defattr(), BuildRoot & %%clean section
- imported package python-hachoir-wx

